using System;
using System.Drawing;

namespace EsempioState.Step2
{
    class Quadrato : IParallelogramma
    {
        private double _lato;

        public double Lato
        {
            get { return _lato; }
            set { _lato = value; }
        }

        #region IParallelogramma Members

        public double Altezza
        {
            get { return _lato; }
            set { _lato = value; }
        }

        public double Larghezza
        {
            get { return _lato; }
            set { _lato = value; }
        }

        public string Nome
        {
            get { return "Quadrato"; }
        }

        public Color Colore
        {
            get { return Color.Green; }
        }

        public int Timeout
        {
            get { return 100; }
        }

        #endregion
    }
}
